Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::MouseDevice Class Reference

マウスデバイス More...

`#include <MouseDevice.h>`

Inheritance diagram for Lamp::MouseDevice:

List of all members.

## Public Member Functions
virtual const MouseState & | getMouseState () const
| マウスステートの取得
int | getZResolution () const
| Z解像度の取得.
virtual bool | setCooperativeLevel (bool exclusive, bool foreground)
| 協調レベルの設定
virtual String | toString () const
| 文字列への変換
## Static Public Attributes
const int | maxButtonCount = MouseState::maxButtonCount
| 最大ボタン数
## Protected Member Functions
| MouseDevice ()
| コンストラクタ
virtual | ~MouseDevice ()
| デストラクタ
virtual bool | initialize (DirectInputDevice *inputDevice, HWND windowHandle)
| 初期化
virtual bool | polling ()
| ポーリング
## Friends
class | LampInput
class | BufferedInput

## Detailed Description

マウスデバイス

Definition at line 37 of file MouseDevice.h.

## Member Function Documentation

virtual const MouseState& Lamp::MouseDevice::getMouseState | ( |  | ) | const`[inline, virtual]`

| マウスステートの取得 Returns: マウスステート Definition at line 52 of file MouseDevice.h.

int Lamp::MouseDevice::getZResolution | ( |  | ) | const`[inline]`

| Z解像度の取得. Returns: Z解像度 Definition at line 58 of file MouseDevice.h. Referenced by Lamp::Mouse::getZResolution(), and toString().

bool Lamp::MouseDevice::initialize | ( | DirectInputDevice * | inputDevice,
|  | HWND | windowHandle
| ) | `[protected, virtual]`

  | 初期化 Parameters:
  inputDevice | 入力デバイス
  windowHandle | ウィンドウハンドル
Returns: 成功すればtrue Reimplemented from Lamp::InputDevice. Definition at line 41 of file MouseDevice.cpp. References DirectXFailed, ErrorOut, Lamp::InputDevice::getAxisCount(), Lamp::InputDevice::isAttached(), Lamp::InputDevice::isExclusive(), Lamp::InputDevice::isForeground(), and setCooperativeLevel(). Referenced by Lamp::LampInput::initialize().

bool Lamp::MouseDevice::polling | ( |  | ) | `[protected, virtual]`

| ポーリング Returns: ポーリングが正常であればtrue Reimplemented from Lamp::InputDevice. Definition at line 70 of file MouseDevice.cpp. References Lamp::InputDevice::acquire(), Lamp::MouseState::clear(), DirectXSucceeded, ErrorOut, Lamp::InputDevice::inputDevice_, maxButtonCount, Lamp::MouseState::setButtonPressed(), Lamp::MouseState::setXAxis(), Lamp::MouseState::setYAxis(), and Lamp::MouseState::setZAxis().

virtual bool Lamp::MouseDevice::setCooperativeLevel | ( | bool | exclusive,
|  | bool | foreground
| ) | `[inline, virtual]`

  | 協調レベルの設定 Parameters:
  exclusive | 排他モードならtrue
  foreground | フォアグラウンドモードならtrue
Returns: 成功すればtrue Reimplemented from Lamp::InputDevice. Definition at line 66 of file MouseDevice.h. References Assert. Referenced by initialize(), and Lamp::Mouse::setCooperativeLevel().

virtual String Lamp::MouseDevice::toString | ( |  | ) | const`[inline, virtual]`

| 文字列への変換 Returns: 文字列 Reimplemented from Lamp::InputDevice. Definition at line 76 of file MouseDevice.h. References Lamp::String::format(), Lamp::InputDevice::getInputDeviceString(), getZResolution(), and Lamp::MouseState::toString().

The documentation for this class was generated from the following files:

- MouseDevice.h
- MouseDevice.cpp